export default class PackageCreator {
    private readonly destinationPath;
    private readonly scriptName;
    private readonly srcPath;
    constructor(srcPath: string, destinationPath: string);
    create(): Promise<void>;
    private ensureTgzExtension;
}
